ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

LlvmCodeGen.Ppr

Description

Pretty print helpers for the LLVM Code generator.

Synopsis

- pprLlvmHeader :: SDoc
- pprLlvmCmmDecl :: LlvmCmmDecl -> LlvmM (SDoc, [LlvmVar])
- pprLlvmData :: LlvmData -> SDoc
- infoSection :: String

# Documentation

pprLlvmHeader :: SDoc Source #

Header code for LLVM modules

pprLlvmCmmDecl :: LlvmCmmDecl -> LlvmM (SDoc, [LlvmVar]) Source #

Pretty print LLVM code

pprLlvmData :: LlvmData -> SDoc Source #

Pretty print LLVM data code

infoSection :: String Source #

The section we are putting info tables and their entry code into, should be unique since we process the assembly pattern matching this.